Bug 208495 - [LayoutTests] Transition animations/cross-fade-* tests to non-pixel-tests
Summary: [LayoutTests] Transition animations/cross-fade-* tests to non-pixel-tests
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: zalan
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2020-03-02 19:06 PST by zalan
Modified: 2020-03-04 09:55 PST (History)
5 users (show)

See Also:


Attachments
Patch (224.92 KB, patch)
2020-03-02 19:10 PST, zalan
no flags Details | Formatted Diff | Diff
EWS test (1.58 KB, patch)
2020-03-03 20:52 PST, zalan
commit-queue: commit-queue-
Details | Formatted Diff | Diff
Test gardening (2.03 KB, patch)
2020-03-04 09:06 PST, zalan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description zalan 2020-03-02 19:06:49 PST
they are clearly designed to be a dumpAsText tests.
Comment 1 Radar WebKit Bug Importer 2020-03-02 19:07:06 PST
<rdar://problem/59979337>
Comment 2 zalan 2020-03-02 19:10:07 PST
Created attachment 392241 [details]
Patch
Comment 3 WebKit Commit Bot 2020-03-02 22:06:04 PST
Comment on attachment 392241 [details]
Patch

Clearing flags on attachment: 392241

Committed r257764: <https://trac.webkit.org/changeset/257764>
Comment 4 WebKit Commit Bot 2020-03-02 22:06:06 PST
All reviewed patches have been landed.  Closing bug.
Comment 5 Alexey Proskuryakov 2020-03-02 22:31:12 PST
Should any of these expectations be revised now?

LayoutTests/TestExpectations:895:webkit.org/b/139590 animations/cross-fade-webkit-mask-image.html [ Pass Failure ]
LayoutTests/platform/wpe/TestExpectations:1411:webkit.org/b/120839 animations/cross-fade-background-image.html [ ImageOnlyFailure ]
LayoutTests/platform/ios-wk2/TestExpectations:82:animations/cross-fade-background-image.html [ ImageOnlyFailure ]
LayoutTests/platform/win/TestExpectations:1773:animations/cross-fade-background-image.html [ ImageOnlyFailure ]
LayoutTests/platform/win/TestExpectations:1777:animations/cross-fade-webkit-mask-box-image.html [ Pass Failure ImageOnlyFailure ]
LayoutTests/platform/mac/TestExpectations:588:webkit.org/b/120923 animations/cross-fade-background-image.html [ ImageOnlyFailure ]
LayoutTests/platform/ios-wk1/TestExpectations:1025:animations/cross-fade-background-image.html [ ImageOnlyFailure ]
LayoutTests/platform/gtk/TestExpectations:1440:webkit.org/b/120839 animations/cross-fade-background-image.html [ ImageOnlyFailure Crash ]
LayoutTests/platform/wincairo/TestExpectations:1370:animations/cross-fade-background-image.html [ ImageOnlyFailure ]
Comment 6 zalan 2020-03-03 05:55:48 PST
(In reply to Alexey Proskuryakov from comment #5)
> Should any of these expectations be revised now?
> 
> LayoutTests/TestExpectations:895:webkit.org/b/139590
> animations/cross-fade-webkit-mask-image.html [ Pass Failure ]
> LayoutTests/platform/wpe/TestExpectations:1411:webkit.org/b/120839
> animations/cross-fade-background-image.html [ ImageOnlyFailure ]
> LayoutTests/platform/ios-wk2/TestExpectations:82:animations/cross-fade-
> background-image.html [ ImageOnlyFailure ]
> LayoutTests/platform/win/TestExpectations:1773:animations/cross-fade-
> background-image.html [ ImageOnlyFailure ]
> LayoutTests/platform/win/TestExpectations:1777:animations/cross-fade-webkit-
> mask-box-image.html [ Pass Failure ImageOnlyFailure ]
> LayoutTests/platform/mac/TestExpectations:588:webkit.org/b/120923
> animations/cross-fade-background-image.html [ ImageOnlyFailure ]
> LayoutTests/platform/ios-wk1/TestExpectations:1025:animations/cross-fade-
> background-image.html [ ImageOnlyFailure ]
> LayoutTests/platform/gtk/TestExpectations:1440:webkit.org/b/120839
> animations/cross-fade-background-image.html [ ImageOnlyFailure Crash ]
> LayoutTests/platform/wincairo/TestExpectations:1370:animations/cross-fade-
> background-image.html [ ImageOnlyFailure ]
Absolutely! I'll take care of them. Thanks for letting me know.
Comment 7 zalan 2020-03-03 20:52:17 PST
Created attachment 392368 [details]
EWS test
Comment 8 zalan 2020-03-03 20:52:33 PST
testing
Comment 9 WebKit Commit Bot 2020-03-04 07:42:47 PST
The commit-queue encountered the following flaky tests while processing attachment 392368 [details]:

editing/spelling/spellcheck-input-search-crash.html bug 207995 (authors: arv@chromium.org, g.czajkowski@samsung.com, mark.lam@apple.com, and morrita@google.com)
The commit-queue is continuing to process your patch.
Comment 10 WebKit Commit Bot 2020-03-04 07:43:13 PST
Comment on attachment 392368 [details]
EWS test

Rejecting attachment 392368 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-03', 'land-attachment', '--force-clean', '--non-interactive', '--parent-command=commit-queue', 392368, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Logging in as commit-queue@webkit.org...
Fetching: https://bugs.webkit.org/attachment.cgi?id=392368&action=edit
Fetching: https://bugs.webkit.org/show_bug.cgi?id=208495&ctype=xml&excludefield=attachmentdata
Processing 1 patch from 1 bug.
Updating working directory
Processing patch 392368 from bug 208495.
Fetching: https://bugs.webkit.org/attachment.cgi?id=392368
Found no modified ChangeLogs, cannot create a commit message.
All changes require a ChangeLog.  See:
 http://webkit.org/coding/contributing.html
Found no modified ChangeLogs, cannot create a commit message.
All changes require a ChangeLog.  See:
 http://webkit.org/coding/contributing.html
Found no modified ChangeLogs, cannot create a commit message.
All changes require a ChangeLog.  See:
 http://webkit.org/coding/contributing.html
Updating OpenSource
From https://git.webkit.org/git/WebKit
   6f47e9bc71c..0b7d481945f  master     -> origin/master
Partial-rebuilding .git/svn/refs/remotes/origin/master/.rev_map.268f45cc-cd09-0410-ab3c-d52691b4dbfc ...
Currently at 257839 = 6f47e9bc71c1fb9a12ac2ea29beb9184811b765d
r257840 = fc7ad74edff93478ef9ccda7f223565a98d76a0b
r257841 = 0b7d481945fe39de446ad15b1f1797e8840da672
Done rebuilding .git/svn/refs/remotes/origin/master/.rev_map.268f45cc-cd09-0410-ab3c-d52691b4dbfc
First, rewinding head to replay your work on top of it...
Fast-forwarded master to refs/remotes/origin/master.

Full output: https://webkit-queues.webkit.org/results/13333456
Comment 11 zalan 2020-03-04 07:48:34 PST
(In reply to WebKit Commit Bot from comment #10)
> Comment on attachment 392368 [details]
> EWS test
> 
> Rejecting attachment 392368 [details] from commit-queue.
> 
> Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch',
> '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-03',
> 'land-attachment', '--force-clean', '--non-interactive',
> '--parent-command=commit-queue', 392368, '--port=mac']" exit_code: 2 cwd:
> /Volumes/Data/EWS/WebKit
> 
> Logging in as commit-queue@webkit.org...
> Fetching: https://bugs.webkit.org/attachment.cgi?id=392368&action=edit
> Fetching:
> https://bugs.webkit.org/show_bug.
> cgi?id=208495&ctype=xml&excludefield=attachmentdata
> Processing 1 patch from 1 bug.
> Updating working directory
> Processing patch 392368 from bug 208495.
> Fetching: https://bugs.webkit.org/attachment.cgi?id=392368
> Found no modified ChangeLogs, cannot create a commit message.
> All changes require a ChangeLog.  See:
>  http://webkit.org/coding/contributing.html
> Found no modified ChangeLogs, cannot create a commit message.
> All changes require a ChangeLog.  See:
>  http://webkit.org/coding/contributing.html
> Found no modified ChangeLogs, cannot create a commit message.
> All changes require a ChangeLog.  See:
>  http://webkit.org/coding/contributing.html
> Updating OpenSource
> From https://git.webkit.org/git/WebKit
>    6f47e9bc71c..0b7d481945f  master     -> origin/master
> Partial-rebuilding
> .git/svn/refs/remotes/origin/master/.rev_map.268f45cc-cd09-0410-ab3c-
> d52691b4dbfc ...
> Currently at 257839 = 6f47e9bc71c1fb9a12ac2ea29beb9184811b765d
> r257840 = fc7ad74edff93478ef9ccda7f223565a98d76a0b
> r257841 = 0b7d481945fe39de446ad15b1f1797e8840da672
> Done rebuilding
> .git/svn/refs/remotes/origin/master/.rev_map.268f45cc-cd09-0410-ab3c-
> d52691b4dbfc
> First, rewinding head to replay your work on top of it...
> Fast-forwarded master to refs/remotes/origin/master.
> 
> Full output: https://webkit-queues.webkit.org/results/13333456
Oh I didn't mean to cq+ it!
Comment 12 zalan 2020-03-04 09:06:50 PST
Created attachment 392420 [details]
Test gardening
Comment 13 WebKit Commit Bot 2020-03-04 09:55:54 PST
Comment on attachment 392420 [details]
Test gardening

Clearing flags on attachment: 392420

Committed r257850: <https://trac.webkit.org/changeset/257850>
Comment 14 WebKit Commit Bot 2020-03-04 09:55:56 PST
All reviewed patches have been landed.  Closing bug.